summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-lua/lpeg
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-lua/lpeg')
-rw-r--r--dev-lua/lpeg/Manifest3
-rw-r--r--dev-lua/lpeg/files/lpeg-0.12-makefile.patch37
-rw-r--r--dev-lua/lpeg/files/lpeg-0.12.1-makefile.patch37
-rw-r--r--dev-lua/lpeg/lpeg-0.12.1.ebuild42
-rw-r--r--dev-lua/lpeg/lpeg-0.12.2.ebuild42
-rw-r--r--dev-lua/lpeg/lpeg-0.12.ebuild42
-rw-r--r--dev-lua/lpeg/metadata.xml8
7 files changed, 211 insertions, 0 deletions
diff --git a/dev-lua/lpeg/Manifest b/dev-lua/lpeg/Manifest
new file mode 100644
index 00000000000..e10d42255ee
--- /dev/null
+++ b/dev-lua/lpeg/Manifest
@@ -0,0 +1,3 @@
+DIST lpeg-0.12.1.tar.gz 67519 SHA256 60c6752dd043034c01929b04dab377d139f53bc098710cf735be53dd603fa22a SHA512 8cd47e169ce97c2eb40b865b0ef975b7a8fc58de1bde504518d9396b2a12efd92e7b2cfa1ccca59dd6a0cc22444fd1915a09e0d17fe78ba2a59bc3748546f60c WHIRLPOOL 0053b5df6c71b4b99d32f00c16b6156d7c96b4298059a17b8233c253db874117afd8daf217e19f8688a809b6f19f2293bca855af0c10c916b9fa22b29d43ad4b
+DIST lpeg-0.12.2.tar.gz 68122 SHA256 6aad270b91d1b1c6fd75f68e162329a04a644e50e917d55f46cc8384b7120004 SHA512 81505674473d83e2c777d470cd6ba4eead48ecc32e58e52bc192ca7a167f882e722c5a0cae62937fb3f5f71d6216de1ba4ea3d932e72265028f293d778df5e9e WHIRLPOOL df86921662b812ede574a602e84bc0dc581006b5027f40f3a6c0e15e8ac03dbea40ab3b5c8417143a14a25e953f084818b80af317d17dacdda97283366c51632
+DIST lpeg-0.12.tar.gz 66649 SHA256 efa545144cd219eee823af7624d90f78c2230677ba740b7151c5d0c303778b76 SHA512 bf8c4fe486f5e965b793d8526dd1fc5c8905c4b065a1abe52ec8e41ebbe48292315a7460dc56fb7a029b4673057f9da7e53854bb79bb54dd8a4378391efc24a2 WHIRLPOOL 3e131da888eff53fbfa6203ed363f34832c52fb0fafca9006dd1da956c89a76528dc9aaf255426a148497c55df74ccb72cf87e234f5c432c4e2c28a5dfd0a9a1
diff --git a/dev-lua/lpeg/files/lpeg-0.12-makefile.patch b/dev-lua/lpeg/files/lpeg-0.12-makefile.patch
new file mode 100644
index 00000000000..5734de9f55d
--- /dev/null
+++ b/dev-lua/lpeg/files/lpeg-0.12-makefile.patch
@@ -0,0 +1,37 @@
+--- lpeg-0.12/makefile
++++ lpeg-0.12/makefile
+@@ -1,7 +1,7 @@
+ LIBNAME = lpeg
+ LUADIR = /usr/include/lua5.1/
+
+-COPT = -O2
++#COPT = -O2
+ # COPT = -DLPEG_DEBUG -g
+
+ CWARNS = -Wall -Wextra -pedantic \
+@@ -22,21 +22,21 @@
+ # -Wunreachable-code \
+
+
+-CFLAGS = $(CWARNS) $(COPT) -ansi -I$(LUADIR) -fPIC
++CFLAGS += $(CWARNS) $(COPT) -ansi -I$(LUADIR) -fPIC
+ CC = gcc
+
+ FILES = lpvm.o lpcap.o lptree.o lpcode.o lpprint.o
+
+ # For Linux
+ linux:
+- make lpeg.so "DLLFLAGS = -shared -fPIC"
++ $(MAKE) lpeg.so "DLLFLAGS = -shared -fPIC"
+
+ # For Mac OS
+ macosx:
+- make lpeg.so "DLLFLAGS = -bundle -undefined dynamic_lookup"
++ $(MAKE) lpeg.so "DLLFLAGS = -bundle -undefined dynamic_lookup"
+
+ lpeg.so: $(FILES)
+- env $(CC) $(DLLFLAGS) $(FILES) -o lpeg.so
++ env $(CC) $(CFLAGS) $(DLLFLAGS) $(LDFLAGS) $(FILES) -o lpeg.so
+
+ $(FILES): makefile
+
diff --git a/dev-lua/lpeg/files/lpeg-0.12.1-makefile.patch b/dev-lua/lpeg/files/lpeg-0.12.1-makefile.patch
new file mode 100644
index 00000000000..a0be0558aa9
--- /dev/null
+++ b/dev-lua/lpeg/files/lpeg-0.12.1-makefile.patch
@@ -0,0 +1,37 @@
+--- lpeg-0.12.1/makefile
++++ lpeg-0.12.1/makefile
+@@ -1,7 +1,7 @@
+ LIBNAME = lpeg
+ LUADIR = ../lua/
+
+-COPT = -O2
++#COPT = -O2
+ # COPT = -DLPEG_DEBUG -g
+
+ CWARNS = -Wall -Wextra -pedantic \
+@@ -22,21 +22,21 @@
+ # -Wunreachable-code \
+
+
+-CFLAGS = $(CWARNS) $(COPT) -std=c99 -I$(LUADIR) -fPIC
++CFLAGS += $(CWARNS) $(COPT) -std=c99 -I$(LUADIR) -fPIC
+ CC = gcc
+
+ FILES = lpvm.o lpcap.o lptree.o lpcode.o lpprint.o
+
+ # For Linux
+ linux:
+- make lpeg.so "DLLFLAGS = -shared -fPIC"
++ $(MAKE) lpeg.so "DLLFLAGS = -shared -fPIC"
+
+ # For Mac OS
+ macosx:
+- make lpeg.so "DLLFLAGS = -bundle -undefined dynamic_lookup"
++ $(MAKE) lpeg.so "DLLFLAGS = -bundle -undefined dynamic_lookup"
+
+ lpeg.so: $(FILES)
+- env $(CC) $(DLLFLAGS) $(FILES) -o lpeg.so
++ env $(CC) $(DLLFLAGS) $(LDFLAGS) $(FILES) -o lpeg.so
+
+ $(FILES): makefile
+
diff --git a/dev-lua/lpeg/lpeg-0.12.1.ebuild b/dev-lua/lpeg/lpeg-0.12.1.ebuild
new file mode 100644
index 00000000000..1f6d64c8a10
--- /dev/null
+++ b/dev-lua/lpeg/lpeg-0.12.1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit flag-o-matic toolchain-funcs eutils multilib
+
+DESCRIPTION="Parsing Expression Grammars for Lua"
+HOMEPAGE="http://www.inf.puc-rio.br/~roberto/lpeg/"
+SRC_URI="http://www.inf.puc-rio.br/~roberto/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~mips ~x86"
+IUSE="debug doc"
+
+RDEPEND=">=dev-lang/lua-5.1"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-makefile.patch
+ use debug && append-cflags -DLPEG_DEBUG
+}
+
+src_compile() {
+ emake CC="$(tc-getCC)"
+}
+
+src_test() {
+ lua test.lua || die
+}
+
+src_install() {
+ exeinto "$($(tc-getPKG_CONFIG) --variable INSTALL_CMOD lua)"
+ doexe lpeg.so
+
+ dodoc HISTORY
+
+ use doc && dohtml *
+}
diff --git a/dev-lua/lpeg/lpeg-0.12.2.ebuild b/dev-lua/lpeg/lpeg-0.12.2.ebuild
new file mode 100644
index 00000000000..3e22733ad73
--- /dev/null
+++ b/dev-lua/lpeg/lpeg-0.12.2.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit flag-o-matic toolchain-funcs eutils multilib
+
+DESCRIPTION="Parsing Expression Grammars for Lua"
+HOMEPAGE="http://www.inf.puc-rio.br/~roberto/lpeg/"
+SRC_URI="http://www.inf.puc-rio.br/~roberto/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~mips ppc ppc64 sparc ~x86"
+IUSE="debug doc"
+
+RDEPEND=">=dev-lang/lua-5.1"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+src_prepare() {
+ epatch "${FILESDIR}"/${PN}-0.12.1-makefile.patch
+ use debug && append-cflags -DLPEG_DEBUG
+}
+
+src_compile() {
+ emake CC="$(tc-getCC)"
+}
+
+src_test() {
+ lua test.lua || die
+}
+
+src_install() {
+ exeinto "$($(tc-getPKG_CONFIG) --variable INSTALL_CMOD lua)"
+ doexe lpeg.so
+
+ dodoc HISTORY
+
+ use doc && dohtml *
+}
diff --git a/dev-lua/lpeg/lpeg-0.12.ebuild b/dev-lua/lpeg/lpeg-0.12.ebuild
new file mode 100644
index 00000000000..fb62a8b3190
--- /dev/null
+++ b/dev-lua/lpeg/lpeg-0.12.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit flag-o-matic toolchain-funcs eutils multilib
+
+DESCRIPTION="Parsing Expression Grammars for Lua"
+HOMEPAGE="http://www.inf.puc-rio.br/~roberto/lpeg/"
+SRC_URI="http://www.inf.puc-rio.br/~roberto/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 ~arm hppa ~mips x86"
+IUSE="debug doc"
+
+RDEPEND=">=dev-lang/lua-5.1"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-makefile.patch
+ use debug && append-cflags -DLPEG_DEBUG
+}
+
+src_compile() {
+ emake CC="$(tc-getCC)"
+}
+
+src_test() {
+ lua test.lua || die
+}
+
+src_install() {
+ exeinto "$($(tc-getPKG_CONFIG) --variable INSTALL_CMOD lua)"
+ doexe lpeg.so
+
+ dodoc HISTORY
+
+ use doc && dohtml *
+}
diff --git a/dev-lua/lpeg/metadata.xml b/dev-lua/lpeg/metadata.xml
new file mode 100644
index 00000000000..efa5eb0078f
--- /dev/null
+++ b/dev-lua/lpeg/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version = '1.0' encoding = 'UTF-8'?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>radhermit@gentoo.org</email>
+ <name>Tim Harder</name>
+ </maintainer>
+</pkgmetadata>